Using the Piano Roll (Clip Properties)

Using the Piano Roll

The piano roll editor is an OPT plug-in that you can use to create and edit note events within the ACID Clip Properties window.

A piano roll view of a MIDI file displays note information on a grid, just like a sequencer or a roll from a player piano (hence the name).

Each note event is represented by a block in the top pane. The piano keys along the left side of the window indicate the pitch of each note event, and the beat ruler across the top of the window indicates the position and duration of each note.

The vertical bars below the piano roll represent note-on velocity information for each note.

What do you want to do?

Set up the Piano Roll view

Add or edit note information

Edit velocity, pitch bend, and continuous controller information

Play from the piano roll


Setting Up the Piano Roll View (Clip Properties)

Zoom horizontally

To zoom in and out in time by small increments, press the Up Arrow/Down Arrow keys or use the [image] and [image] buttons in the lower right-hand corner of the piano roll:

Zoom vertically

To zoom in and out in time by small increments, press the Left Arrow/Right Arrow keys or use the [image] and [image] buttons in the lower right-hand corner of the piano roll:

Zoom to a selection

Use the Zoom tool [image] to magnify a region without losing your selection. Drag the mouse over an area to zoom in. A dotted rectangle is drawn around the area, and the area is magnified when the mouse button is released.

While holding the left mouse button, click the right mouse button to toggle through the three magnification modes:

  • Zoom Time only: magnifies horizontally without changing the vertical zoom level.

  • Zoom Level only: magnifies vertically without changing horizontal zoom level.

  • Time/Zoom Level: magnifies horizontally and vertically.

Use the scroll bars at the bottom and right side of the piano roll to scroll through the piano roll.

Hold Shift while using the mouse wheel to scroll horizontally, or hold Ctrl while using the mouse wheel to scroll vertically.

When you create or move events, the event edges will snap to the grid. To override snapping, hold Shift while drawing or dragging events, or click the Enable Snapping button [image] to toggle snapping on or off.

  1. Click the down arrow next to the Enable Snapping button [image].

  2. Choose a spacing from the menu.

    When you choose Ruler Marks, the grid spacing will adjust to match your current level of magnification.

Setting Up the Piano Roll View

A MIDI track can contain a mind-boggling array of MIDI note and controller information. To make your editing easier, you can set up the piano roll in the Clip Properties window to display just the information you want.

What do you want to do?

Zoom in or out

Scroll the display of the piano roll

Change the spacing of the grid


Adding or Editing Note Information (Clip Properties)

  1. Right-click an event on the timeline and choose Clip Properties from the shortcut menu.

  2. Click the Piano Roll Editor tab.

  3. Select an editing tool.

    4. Tool

    Description

    Draw

    Allows you to insert, edit, select, and move notes in the piano roll.

    Paint

    Allows you to insert and select notes.

    The Paint tool is different from the Draw tool in that it can cross note row boundaries. Use the Paint tool to add a random element to your ACID projects.

    Using the Paint tool

    1. Click the down arrow next to the Paint tool button and choose a note length from the menu.

    2. Click the Paint tool button to select the tool. The Paint tool is selected, and notes will be painted using the selected note length.

    Right-click with the Paint tool to erase notes.

    Erase

    Allows you to remove existing notes.

  4. Drag in the row for the pitch you want to create to create a new note, or click an existing note with the Erase tool [image] to remove it.

    If the Enable Snapping Notes to Specified Scale button [image] is selected, you can only draw notes within the selected musical scale. Click the down arrow [image] next to the button to choose a root note and scale. You can use this feature to transpose a song to another key.

    Hold Alt while dragging to override scale snapping.

    If the Enable Snapping button [image] is selected, you can only draw notes on grid divisions. Click the down arrow [image] next to the button to choose a snapping resolution.

    Hold Shift while dragging to override horizontal snapping.

  1. Right-click an event on the timeline and choose Clip Properties from the shortcut menu.

  2. Click the Piano Roll Editor tab.

Press Ctrl+A to select all notes on the currently selected track.

  2. Select an editing tool:

    Tool

    Description

    Draw

    Click to select individual notes, or hold Shift or Ctrl to select multiple notes.

    Selection

    Drag to draw selection boxes around the notes you want to include. The Selection tool can draw three types of selection boxes:

    Free Selection

    The default behavior of the tool:

    Click to select individual notes (hold Shift or Ctrl to select multiple notes).

    Drag to draw a rectangular region that begins where you start drawing and ends where you release the mouse button. All of the notes that are inside the region will be selected. This method is good for selecting a group of notes that are close together.

    Vertical

    Can be used to easily select all notes that occur within a time range. The vertical selection box automatically selects all of the notes between your first mouse click and where you draw the selection box; even notes that are not visible at the current magnification are selected.

    Horizontal

    Can be used to easily select all notes on a single or multiple adjacent rows. The horizontal selection box automatically selects all notes on a row that is touched by the selection box; even notes that are not visible at the current magnification are selected.

    To change the type of selection box you are using, right-click the mouse while holding down the left mouse button. Clicking the right mouse button will toggle through the three types of selection boxes.

  3. Select the notes you want to edit.

  1. Right-click an event on the timeline and choose Clip Properties from the shortcut menu.

  2. Click the Piano Roll Editor tab.

  3. Select notes you want to move.

  4. Drag the selected notes left or right to change their position on the timeline, or drag up or down to assign a note to a different pitch.

    If the Enable Snapping Notes to Specified Scale button [image] is selected, you can only drag notes within the selected musical scale. Click the down arrow [image] next to the button to choose a root note and scale. You can use this feature to transpose a song to another key.

    Hold Alt while dragging to override snapping.

    If the Enable Snapping button [image] is selected, you can only drag notes to grid divisions. Click the down arrow [image] next to the button to choose a snapping resolution.

    Hold Shift while dragging to override horizontal snapping.

You can also select notes and use the Cut [image], Copy [image], and Paste [image] buttons to manipulate notes in the piano roll. Notes will always be pasted into the same row from which they were cut or copied.

  1. Right-click an event on the timeline and choose Clip Properties from the shortcut menu.

  2. Click the Piano Roll Editor tab.

  3. Select the Draw tool [image] .

  4. Drag either edge of a note. The edge of the note moves, changing the duration of the note.

Click the Enable Snapping Notes to Specified Scale button [image] to toggle snapping.

If the button is selected, you can only draw or drag notes within the selected musical scale. Hold Alt while drawing or dragging notes to override snapping.

Click the down arrow [image] next to the button to choose a root note and scale.

So we can't all play with a drummer who has perfect timing. . . . Let's face it: even if we could, that might not help some of us play in time.

You can use the MIDI Quantize dialog to force notes to align with musical beats based on the parameters you specify.

  1. Select the notes you want to quantize.

Hold Ctrl or Shift while clicking to select multiple events, or press Ctrl+A to quantize the entire track.

  2. Click the Quantize button [image]. The MIDI Quantize dialog is displayed.

  3. From the Quantize resolution drop-down list, choose the beat to which you want the selected notes to be quantized.

  4. Select the Start times check box if you want note start times to snap to the beat selected in the Quantize resolution drop-down list.

  5. Select the Note durations check box if you want note durations to snap to the beat selected in the Quantize resolution drop-down list.

  6. Click Apply.

Adding or Editing Notes

The piano roll in the Clip Properties window can edit note on, note off, and velocity information.

When you create or move events, the event edges will snap to the grid. To override snapping, hold Shift while drawing or dragging events, or click the Enable Snapping [image] button to toggle snapping on or off. For information about changing the grid spacing, click here.

If you want to hear notes when you draw notes, select notes, or click the keys on the Piano Roll tab, select the Monitor button [image] on the Piano Roll Editor tab. If you're using a different host application, please refer to that application's documentation for information about enabling real-time MIDI monitoring.

What do you want to do?

Add or delete notes

Select notes

Edit note position

Edit note duration

Toggle scale snapping

Quantize events


Editing Velocity, Pitch Bend, and Controller Information (Clip Properties)

  1. Click the drop-down in the lower portion of the Piano Roll tab and choose Velocity from the menu.

  2. Select the Draw tool [image] and drag in the lower portion of the Piano Roll tab to adjust the velocity bars:

  3. Zoom in and drag a bar up or down to change its value.

  4. Drag across multiple bars to edit them simultaneously.

If you need more precise control over velocity adjustments, you can use the note shortcut menu to adjust velocity for all selected notes.

  1. Select the notes you want to edit.

  2. Right-click a note and choose Velocity from the shortcut menu (or double-click a note).

  3. Choose a command from the submenu.

    Item

    Description

    Set to Maximum

    Sets the velocity to 127.

    Set to Default

    Sets the velocity to 64.

    Set to Minimum

    Sets the velocity to 0.

    Set to. . .

    Displays an edit box where you can type a specific value.

    The velocity for all selected notes is updated.

  1. Click the drop-down in the lower portion of the Piano Roll tab and choose Pitch Bend from the menu.

  2. Drag the Paint tool [image] in the lower portion of the Piano Roll tab to paint a pitch bend curve, or right-click and drag to erase a curve.

If Enable Snapping [image] is turned on, the data will snap to the grid. Hold Shift to override snapping.

  1. Click the drop-down in the lower portion of the Piano Roll tab and choose a controller from the menu. If the controller you want to edit is not displayed, choose All Continuous Controller, and then choose a controller from the submenu.

  2. Drag the Paint tool [image] in the lower portion of the Piano Roll tab to paint controller data, or right-click and drag to erase a curve.

If Enable Snapping [image] is turned on, the data will snap to the grid. Hold Shift to override snapping.

Editing Velocity, Pitch Bend, and Controller Information

You can use the area below the piano roll to edit note-on velocity, pitch bend, and continuous controller information.

What do you want to do?

Use the Draw tool to draw velocity data

Enter specific velocity values for selected notes

Edit pitch bend information

Edit continuous controller information


Playing from the Piano Roll (Clip Properties)

Playing from the Piano Roll

The transport controls on the Piano Roll Editor tab in the Clip Properties window allow you to audition your changes instantly through the output where your ACID track is routed. For more information about routing MIDI tracks, click here.

To control volume during playback in the piano roll, drag the Preview fader in the Mixer window.

Before you paint a note, you can click a key on the keyboard to preview its sound. You can also preview notes as you draw, paint, or select them. Select the Monitor button [image] on the Piano Roll Editor tab. If you're using a different host application, please refer to that application's documentation for information about enabling real-time MIDI monitoring.

Item

Description

Loop Playback

Click to toggle looped playback mode. When the button is selected, only the portion of the current project within the loop region [image] will be played back.

To move the loop region without changing its length, drag the selection bar to a new location. To edit the length of the loop region, drag either of the endpoints.

Play from Start

Plays the entire MIDI file from the beginning, regardless of cursor position.

Play

Plays from the current cursor position.

Pause

Halts playback and leaves the cursor at its current position.

Stop

Halts playback and returns the cursor to its position before playback.

Go to Start

Moves the cursor to the beginning of the file.

Go to End

Moves the cursor to the end of the file.

Solo Track

Plays the currently selected track by itself. To hear the entire MIDI file, turn off the Solo Track button.


Welcome

MIDI Piano Roll Editor Help

©2008. Sony Creative Software Inc.

All Rights Reserved

Rev. September 16, 2008